<%
sub page_next()
%> 共<font color="#FF0000"><%=session("recordcount")%></font>条记录<font color="#FF0000"><%=session("pagecount")%></font>页&nbsp;这是第<font color="#FF0000"><%=(request("n")+pn)/pn%></font>页 
<%
P1="first"
P2="next"
P3="before"
P4="last"
if x-pn>0 then
%>
<%if fid=sid then%>
【<a href="?n=0&page=<%=p1%>&typeid=<%=typeid%>&fuid=<%=fid%>&fid=<%=fid%>&sid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">第一页</a>】
【<a href="?n=<%=x-(i+pn)%>&page=<%=p3%>&typeid=<%=typeid%>&fuid=<%=fid%>&fid=<%=fid%>&sid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">上一页</a>】 
<%else%>
【<a href="?n=0&page=<%=p1%>&typeid=<%=typeid%>&fid=<%=fid%>&sid=<%=sid%>&subid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">第一页</a>】
【<a href="?n=<%=x-(i+pn)%>&page=<%=p3%>&typeid=<%=typeid%>&fid=<%=fid%>&sid=<%=sid%>&subid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">上一页</a>】
<%end if%>
<%end if%>
<%if not rs.eof then%>
<%if fid=sid then%>
【<a href="?n=<%=x%>&page=<%=p2%>&typeid=<%=typeid%>&fuid=<%=fid%>&fid=<%=fid%>&sid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">下一页</a>】
【<a href="?n=<%=session("pagecount")*pn-pn%>&page=<%=p4%>&typeid=<%=typeid%>&fuid=<%=fid%>&fid=<%=fid%>&sid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">最后页</a>】
<%else%>
【<a href="?n=<%=x%>&page=<%=p2%>&typeid=<%=typeid%>&fid=<%=fid%>&sid=<%=sid%>&subid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">下一页</a>】
【<a href="?n=<%=session("pagecount")*pn-pn%>&page=<%=p4%>&typeid=<%=typeid%>&fid=<%=fid%>&sid=<%=sid%>&subid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>">最后页</a>】
<%end if%>
<%end if
if session("pagecount")<=8 then
PC=session("pagecount")
else
PC=8
end if
h=int(x/pn)
y=PC+h-1
if y>=session("pagecount") then
y=session("pagecount")
end if
if h>0 then
for j=h to y
if j=h then
TP=(h-1)*pn
end if
if j=session("pagecount") then
TP=session("pagecount")*pn-pn
end if
if j>h and j<session("pagecount") then
TP=(j-1)*pn
end if%>
<%if fid=sid then%>
<a href="?n=<%=TP%>&page=<%=j%>&typeid=<%=typeid%>&fuid=<%=fuid%>&fid=<%=fid%>&sid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>"><%=j%></a>&nbsp; 
<%else%>
<a href="?n=<%=TP%>&page=<%=j%>&typeid=<%=typeid%>&fid=<%=fid%>&sid=<%=sid%>&subid=<%=sid%>&cname=<%=cname%>&uname=<%=uname%>&pid=<%=pid%>&cid=<%=cid%>&thisuser=<%=thisuser%>"><%=j%></a>&nbsp; 
<%end if%>
<%next
end if
end sub
%>
